package logger

import (
	"git.cryptic.systems/fh-trier/go-flucky/pkg/types"
)

type Logger interface {
	LogHumidities(humidities []*types.Humidity) error
	LogTemperatures(temperatures []*types.Temperature) error
}

type LoggerType string

const (
	LogFile   LoggerType = "file"
	LogRemote            = "remote"
)

type LogValue string

const (
	LogHumidity    LogValue = "humidity"
	LogTemperature          = "temperature"
)
